27
Content-Disposition: inline; filename="
b
.travis.yml
2fd
Last-Modified: Wed, 17 Sep 2025 07:03:53 GMT
Expires: Sat, 15 Sep 2035 07:03:53 GMT
ETag: "abb33cb395eb41d0a3e0e2467b9b650c3646d5f0"

# Ensures that sudo is disabled, so that containerized builds are allowed
sudo: false

os:
 - linux
 - osx
language: c
compiler:
 - clang
 - gcc
addons:
  apt:
    # we need a more recent cmake than travis/linux provides (at least 2.8.9):
    sources:
    - kubuntu-backports
    - kalakris-cmake
    packages:
    - cmake
    - python3
    - valgrind
before_install:
 - |
     if [ ${TRAVIS_OS_NAME:-'linux'} = 'osx' ]
     then
         echo "Building without python3, to make sure that works."
     fi

script:
 - make
 - make test
 - |
     if [ ${TRAVIS_OS_NAME:-'linux'} = 'linux' ]
     then
         make leakcheck
     fi

0

HTTP/1.0 500 Internal Server Error
Date: Wed, 17 Sep 2025 07:03:53 GMT
Server: OpenBSD httpd
Connection: close
Content-Type: text/html
Content-Length: 518

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>500 Internal Server Error</title>
<style type="text/css"><!--
body { background-color: white; color: black; font-family: 'Comic Sans MS', 'Chalkboard SE', 'Comic Neue', sans-serif; }
hr { border: 0; border-bottom: 1px dashed; }
@media (prefers-color-scheme: dark) {
body { background-color: #1E1F21; color: #EEEFF1; }
a { color: #BAD7FF; }
}
--></style>
</head>
<body>
<h1>500 Internal Server Error</h1>
<hr>
<address>OpenBSD httpd</address>
</body>
</html>
